Forum Linux.débutant Installation d'un nouvel OS sur un ecafé Hercules

Posté par . Licence CC by-sa
Tags : aucun
1
21
juil.
2014

Bonjour à tous,

Je vous explique mon problème.
J'ai acheté un ecafé de la marque Hercules il y a de ça 3 semaines. Depuis j'ai voulu installer des logiciels pour l'utiliser à ma convenance (Playonlinux pour faire fonctionner Kindle, parce que j'en ai besoin pour les cours par exemple). Seulement, je n'arrive pas à le faire sur cette version de ubuntu. Cette version est une version créée exprès pour le ecafé, ce qui fait que je n'ai pas toutes les fonctionnalités d'un Linux normal.

Je vous copie les capacités techniques :
Ecran LED: 10.1 pouces; 1024*600, haute luminosité
Stockage: 8 Go Flash (iNAND), extensible jusqu’à 72Go + 50Go de stockage déporté additionnel en ligne **
Processeur ARM CortexTM A8, FreescaleTM i.MX515@ 800 MHz
RAM: 512Mo
Technologie WiFi N
Batterie : 2400 mAh (7.4V) pour 4h30 d’autonomie
Clavier confortable "chiclet", avec touches plates et séparées - 88% d’un clavier standard
Webcam 0.3MP avec microphone intégré
Connectique: 3x USB, 1x Casque, 1x Microphone, 1x LAN RJ45, 1x DC-in 12V, 1x Lecteur de carte externe: SD/MMC/SDHC, 1x Lecteur de carte interne: SD/SDHC
DIP Switch

L'autre soucis est qu'il a la version 10.04 de ubuntu (enfin, du ubuntu trafiqué par Hercules), et que lorsque je vais dans le gestionnaire de mises à jour, il me dit qu'il est impossible de mettre à jour le système à une version ultérieure.

Je fais donc appel à vous, car j'ai déjà essayé de demander au service client d'Hercules qui m'a répondu ceci :

" Concernant votre Slim HD White.
Nous vous précisons que nous nous trouvons dans l'impossibilité de vous offrir du support pour le changement de la version du système sur votre eCAFÉ.
Si vous souhaitez remplacer la version Ubuntu présente sur votre eCAFÉ par la version 12.04, nous vous conseillons de vous renseigner auprès de la communauté Linux, en faisant des recherches sur les forums dédiés.
Nous vous remercions pour votre compréhension.
En espérant que les informations fournies vous aient été utiles, le support technique Hercules vous souhaite une bonne journée et reste à votre disposition pour tout complément d'information par Internet aux adresses suivantes : "

Entre temps j'ai essayé d'installer Lubuntu 14.04 par carte SD, car c'est le seul moyen apr lequel je peux formater le pc.

J'ai essayé ceci :
- Formatage de carte SD
- Création d'une SD bootable avec LiLi USB CREATOR, avec le fichier d'ici "lubuntu 14.04 - desktop i386.iso
- j'ai placé la carte SD dans le lecteur externe du ecafé et ait changé les paramètres pour qu'il boot sur un dossier externe
- j'ai appuyé sur le bouton pour démarrer l'ordi … et là, c'est le drame !

le bouton s'allume pendant 4 secondes puis s'éteint. Il ne se lance pas sur la carte SD, le fichier qui est dedans ne doit pas lui convenir …

Que dois-je faire ?

J'ai trouvé ceci et je me demandais si ce n'était pas cela que je devais installer : http://cdimage.ubuntu.com/lubuntu/daily … d/pending/

Des idées ?

Le problème évolue, j'ai activé les dépôts après m'être rendue compte qu'ils n'étaient pas activés, j'ai donc activé les dépôts recommandés pour les mises à jour, seulement il a fait ses mises à jour, m'a mit des messages d'erreur, a redémarré, et maintenant, je ne peux plus l'utiliser. J'ai pris des photos des étapes du démarrage, pour que vous puissiez voir l'ampleur du problème. Il semblerait qu'une fois "chargé" il m'affiche une sorte de terminal, mais je ne sais pas du tout ce que je peux faire pour l'enlever et accéder à mon bureau normal.

voilà donc la première image http://hpics.li/3a35473

Voici ce qu'il m'affiche ensuite, en se disant bien que d'habitude il ne mettait pas ceci… http://hpics.li/172df31

ensuite il m'affiche furtivement ceci, mais je ne peux pas taper mon mot de passe http://hpics.li/089e552

voilà ici c'est la page d'accueil pour choisir son compte http://hpics.li/d7cb8bf

Et ça c'est la dernière image, alors là vous pouvez voir que j'ai voulu essayer de rentrer des commandes pour voir si ça marchait, sinon quand cela s'affiche il note juste gillian@Gillian: (ou quelque chose du style) http://hpics.li/701e3ab

Voilà, j'espère que quelqu'un pourra m'aider, me dire ce que je dois installer comme OS sachant que c'est du ARMV7 et comment …

  • # ARM, bootloader, compatibilité, etc

    Posté par . Évalué à 4.

    bienvenu dans le monde ARM,
    ou il n'y a pas beaucoup de standard concernant la procedure de boot.

    premierement ARM n'est pas x86, c'est le meme style de processeur que tu trouves dans les tablettes et les smartphones.
    tu ne peux donc pas utiliser l'iso lubuntu_x86 pour reinstaller ton OS

    il te faut trouver l'iso ou l'image usb pour ARM
    idealement pour ARMv8 puisque telle est ta machine.

    ne cherche pas chez ubuntu, ils ne font plus le support ARM.

    Par contre debian doit le gerer,
    https://www.debian.org/ports/arm/

    par contre y a un peu de lecture à faire car il existe deux versions de debian pour arm, arm*EL* et arm*HF*

    ensuite, ben faut prier que le bootloader ne soit pas trop capricieux et pas trop verrouillé pour te permettre de demarrer un noyau autre que celui du constructeur.

    • [^] # Re: ARM, bootloader, compatibilité, etc

      Posté par . Évalué à 2. Dernière modification le 21/07/14 à 12:13.

      Merci NeoX, j'ai vu que ma machine n'était pas en ARMv8 mais ARMv7, et que cette version était en armHF. Par contre, je ne comprends pas bien ce que je dois télécharger. Je suis allée sur le site que tu m'as proposé, et j'ai trouvé cette liste https://db.debian.org/machines.cgi
      Il semblerait que Debian ne prenne que le format armel vu ce qu'il y a écrit sur la page que tu as donnée … Je crois que je suis condamnée à utiliser ubuntu 10.04 trafiqué sur mon ecafé…

      Mais je viens de trouver ceci : http://ftp2.fr.debian.org/debian/dists/stable/

      J'ai téléchargé un fichier "contents-armhf.gz" est-ce que c'est ce que je dois installer ?

      • [^] # Re: ARM, bootloader, compatibilité, etc

        Posté par . Évalué à 2.

        J'ai par ailleurs trouvé ce lien : https://packages.debian.org/fr/sid/debian-installer-7.0-netboot-armhf
        mais comme il ne s'agit que de lignes et non pas de fichiers à télécharger, je m'en remet à vous pour m'expliquer comment faire …
        (Je suis une débutante, excusez-moi..)

      • [^] # Re: ARM, bootloader, compatibilité, etc

        Posté par . Évalué à 1.

        peut-etre vaut-il mieux commencer par le commencement,

        tu as identifié ARMv7 (alors que tu listais precedemment ARMv8)
        tu as identifié armHF

        c'est donc un bon debut

        et en allant ensuite sur le site debian
        pour telecharger une version qui pourrait s'installer, on arrive (apres quelques clics) là
        https://www.debian.org/CD/http-ftp/#stable

        ou tu retrouve armHF dans les choix possibles

        • [^] # Re: ARM, bootloader, compatibilité, etc

          Posté par . Évalué à 6.

          tu as identifié ARMv7 (alors que tu listais precedemment ARMv8)

          Nonon, elle disait Cortex A8, pas ARMv8. Mais on dirait qu'ARM et les fabricants qui implémentent ses cœurs font leur possible pour créer le plus de confusions possibles.

          Par exemple, ARMv7 est différent de ARM7, qui lui peut correspondre à ARMv3, ARMv4 ou ARMv5, ce dernier pouvant correspondre à ARM7, ARM9 ou ARM10, etc. etc.

          Et les fabricants rajoutent leur couche par dessus. Un Allwinner A10, c'est un Cortex A8, donc un ARMv7 ; un Allwinner A20, c'est un Cortex A7, donc… un ARMv7 aussi.

          C'est des frappadingues.

  • # Update Ubuntu classique

    Posté par . Évalué à 1.

    Uploade l'image Ubuntu 10.04. Regarde /etc/apt/source.list et modifie puis apt-get dist-upgrade. Quel est le GPU de ce laptop*?

    *Evite PowerVR comme la peste.

    The Freeblob Project

  • # téléchargement et réponse

    Posté par . Évalué à 1.

    Alors NeoX, je suis allée voir sur le site que tu proposes et j'ai donc cliqué sur "armhf" dans la liste des "CD", et je me retrouve avec une liste assez longue de fichiers… Dois-je tous les télécharger ? Ou dois-je seulement en télécharger certains ? (du moins les .iso, car les autres ne font que m'afficher des lignes de codes sur Internet …)

    Une fois téléchargés que dois-je en faire, avec quel outil dois-je les transférer sur ma carte SD ?

    Mohamed Mediouni, j'ai déjà téléchargé une version "normale" de ubuntu (la 14.04) et mon ecafé refuse de booter dessus…
    Sachant qu'il est désormais bloqué sur la page d'accueil avec le terminal, vous voulez que je rentre les lignes que vous me proposez dedans ?
    Et pour le GPU, j'ai beau chercher sur Internet dans les caractéristiques du PC, je suis incapable de dire la référence …

    • [^] # Re: téléchargement et réponse

      Posté par . Évalué à 2.

      bah comme souvent, on telecharge generalement le premier CD
      on le grave sur un CDROM

      puis on met le CDROM dans la machine, ou on suit le mode d'emploi qui explique comment faire une carte SD ou une clef USB specialement pour cette machine.

      peut-etre que le support peut t'aider à reinstaller comme c'etait à l'origine ?

  • # J'ai aussi

    Posté par (page perso) . Évalué à 2.

    Tout d'abord sache que ce portable n'est pas prévu pour être mis à jour régulièrement. Il est relativement figé et assez difficile à mettre à jour. Une fois que tu as un système qui marche, garde le et tout ira très bien !

    Par contre si tu as besoin de mettre à jour une application, tu as plusieurs solutions (certaines plus compliquées que d'autres) :

    Il y a un guide pour créer une carte SD bootable (comme dit plus haut on est sur de l'arm donc non standardisé), si c'est réellement ton but. Toutefois je te conseille de rester sur la version de base pour éviter tous les problèmes. Attention, il s'agit vraiment d'une opération avancée et tu vas t'aventurer seul sans avoir beaucoup d'aide là dessus.

    Si tu restes avec le système de base, attention si tu cherches à faire une mise à jour : les paquets de hercules (drivers écran par exemple) ont des dépendances cachées et tu risque de te retrouver avec un problème au démarrage si tu met à jour des paquets sensibles tels que la glib. Peut-être es-tu dans cette situation ?

    J'ai contourné le problème en appliquant la méthode des backport pour les applis que j'utilise le plus souvent : rxvt-unicode, navit etc. Est-ce qu'il n'est pas possible de compiler playonlinux de cette manière ? (je ne connais que de nom…)

  • # Pas compatible Kindle

    Posté par (page perso) . Évalué à 5.

    Attention, tu ne pourras sans doute pas installer Kindle qui est prévu pour tourner sur x86 et pas sur des processeurs ARM.

    « Rappelez-vous toujours que si la Gestapo avait les moyens de vous faire parler, les politiciens ont, eux, les moyens de vous faire taire. » Coluche

  • # installation Debian ou réinstallation de la version ecafé ?

    Posté par . Évalué à 1.

    Merci à tous pour vos réponses, même si elles sont contradictoires!
    NeoX, je suis vraiment débutante, alors quand je vois cette liste de CD, je me demande lequel je dois prendre (car il n'est pas toujours bon de prendre le premier … j'ai donc pris celui ci : "debian-7.6.0-armhf-CD-1.iso ")
    Il est actuellement en téléchargement.

    Chimrod, je te remercie de ta réponse. En effet, je ne suis pas une experte, mais le soucis c'est que je voulais donc installer Kindle pour pouvoir lire tous les bouquins que j'ai téléchargé (pour les cours) sur cet ecafé car j'en ai vraiment besoin. En fin de compte il ne va me servir qu'à ça, lire les bouquins et écrire les cours…

    Si jamais j'essaye d'installer Debian (la version que j'ai dit plus haut) et que celui-ci ne fonctionne pas, pourrais-je quand même réinstaller la version "ecafé" avec le fichier "eCAFE_slim_ex-HD_restore_multi_20110415.img" qui est téléchargeable sur le site de Hercules ?

    • [^] # Re: installation Debian ou réinstallation de la version ecafé ?

      Posté par . Évalué à 2.

      Si jamais j'essaye d'installer Debian (la version que j'ai dit plus haut) et que celui-ci ne fonctionne pas, pourrais-je quand même réinstaller la version "ecafé" avec le fichier "eCAFE_slim_ex-HD_restore_multi_20110415.img" qui est téléchargeable sur le site de Hercules ?

      vu que c'est fournit par le constructeur, ca me semble meme etre un bon point de depart pour avoir une machine operationnelle.

      deja faire cette restauration pour etre sur de savoir le refaire plus tard.

      • [^] # Re: installation Debian ou réinstallation de la version ecafé ?

        Posté par . Évalué à 1.

        Bon et bien je suis en train de remettre la version de l'ecafé du site d'Hercules car après plusieurs manipulations, ça commençait à buguer et certaines mises à jour semblaient avoir tout mis en l'air !
        Je vais donc récupérer mon ordinateur sous la version 10.04 qui était d'origine et je vais laisser ça comme ça… Il semblerait selon certains utilisateurs que ce ne soit pas pour les débutants alors je préfère ne pas m'aventurer dans des choses que je ne pourrai pas gérer.

        Par contre le problème de Kindle sur cette version de ubuntu reste entier. Lorsque j'essaye d'installer wine par exemple, l'ecafé me dit que le fichier ne vient pas de dépôts connus et que cela pourrait corrompre mon ordinateur, alors je me demande si il faut que je le fasse …

  • # Calibre sur ecafé

    Posté par . Évalué à 1.

    Bon, et bien après essai, j'ai installé le logiciel "Calibre" grâce à "Synaptic" et j'ai avec une clé USB, mis tous les fichiers des ebooks que j'avais téléchargé sur mon ordinateur sous windows, et je les ai chargés sur Calibre sur le ecafé. Alors effectivement tout a chargé, mais plus lent, ça n'existe pas ! J'ai du cliquer 10 fois sur l'icône pour qu'il se lance,e t une fois lancé, il bugue…
    Il reste figé, ma souris ne bouge mais qu'une fois sur 2 et très lentement … Que puis-je faire ?
    La version de Calibre est la 0.6.42

    • [^] # Re: Calibre sur ecafé

      Posté par . Évalué à 0.

      Le truc c'est que Calibre consomme pas mal de ressources et que le ecafé n'en dispose pas de beaucoup. À mon avis tu résoudrais la majorité de tes problèmes en changeant de machine et en prenant quelque chose de plus costaud et de plus standard (pas de l'ARM quoi).

      • [^] # Re: Calibre sur ecafé

        Posté par . Évalué à 1.

        Oui, enfin, je viens d'acheter ma machine, c'est pas pour en changer tout de suite …
        Bref, j'ai résolu mon petit soucis de lecture en ouvrant mes fichiers avec FBReader.

        Merci de vos réponses !

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.